# Record TCefWindowDelegate

Description
Hierarchy
Fields
Methods
Properties

## Unit

uCEFTypes

## Declaration

`type TCefWindowDelegate = record`

## Description

Implement this structure to handle window events. The functions of this structure will be called on the browser process UI thread unless otherwise indicated.

NOTE: This struct is allocated client-side.

Implemented by ICefWindowDelegate.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/capi/views/cef_window_delegate_capi.h">CEF source file: /include/capi/views/cef_window_delegate_capi.h (cef_window_delegate_t))

## Overview

### Fields

| `base: TCefPanelDelegate;`
| `on_window_created: procedure(self: PCefWindowDelegate; window: PCefWindow); stdcall;`
| `on_window_closing: procedure(self: PCefWindowDelegate; window: PCefWindow); stdcall;`
| `on_window_destroyed: procedure(self: PCefWindowDelegate; window: PCefWindow); stdcall;`
| `on_window_activation_changed: procedure(self: PCefWindowDelegate; window: PCefWindow; active: integer); stdcall;`
| `on_window_bounds_changed: procedure(self: PCefWindowDelegate; window: PCefWindow; const new_bounds: PCefRect); stdcall;`
| `on_window_fullscreen_transition: procedure(self: PCefWindowDelegate; window: PCefWindow; is_completed: integer); stdcall;`
| `get_parent_window: function(self: PCefWindowDelegate; window: PCefWindow; is_menu, can_activate_menu: PInteger): PCefWindow; stdcall;`
| `is_window_modal_dialog: function(self: PCefWindowDelegate; window: PCefWindow): Integer; stdcall;`
| `get_initial_bounds: function(self: PCefWindowDelegate; window: PCefWindow): TCefRect; stdcall;`
| `get_initial_show_state: function(self: PCefWindowDelegate; window: PCefWindow): TCefShowState; stdcall;`
| `is_frameless: function(self: PCefWindowDelegate; window: PCefWindow): Integer; stdcall;`
| `with_standard_window_buttons: function(self: PCefWindowDelegate; window: PCefWindow): Integer; stdcall;`
| `get_titlebar_height: function(self: PCefWindowDelegate; window: PCefWindow; titlebar_height: System.PSingle): Integer; stdcall;`
| `accepts_first_mouse: function(self: PCefWindowDelegate; window: PCefWindow): TCefState; stdcall;`
| `can_resize: function(self: PCefWindowDelegate; window: PCefWindow): Integer; stdcall;`
| `can_maximize: function(self: PCefWindowDelegate; window: PCefWindow): Integer; stdcall;`
| `can_minimize: function(self: PCefWindowDelegate; window: PCefWindow): Integer; stdcall;`
| `can_close: function(self: PCefWindowDelegate; window: PCefWindow): Integer; stdcall;`
| `on_accelerator: function(self: PCefWindowDelegate; window: PCefWindow; command_id: Integer): Integer; stdcall;`
| `on_key_event: function(self: PCefWindowDelegate; window: PCefWindow; const event: PCefKeyEvent): Integer; stdcall;`
| `on_theme_colors_changed: procedure(self: PCefWindowDelegate; window: PCefWindow; chrome_theme: Integer); stdcall;`
| `get_window_runtime_style: function(self: PCefWindowDelegate): TCefRuntimeStyle; stdcall;`
| `get_linux_window_properties: function(self: PCefWindowDelegate; window: PCefWindow; properties: PCefLinuxWindowProperties): Integer; stdcall;`

## Description

### Fields

| `base: TCefPanelDelegate;`
This item has no description.

| `on_window_created: procedure(self: PCefWindowDelegate; window: PCefWindow); stdcall;`
This item has no description.

| `on_window_closing: procedure(self: PCefWindowDelegate; window: PCefWindow); stdcall;`
This item has no description.

| `on_window_destroyed: procedure(self: PCefWindowDelegate; window: PCefWindow); stdcall;`
This item has no description.

| `on_window_activation_changed: procedure(self: PCefWindowDelegate; window: PCefWindow; active: integer); stdcall;`
This item has no description.

| `on_window_bounds_changed: procedure(self: PCefWindowDelegate; window: PCefWindow; const new_bounds: PCefRect); stdcall;`
This item has no description.

| `on_window_fullscreen_transition: procedure(self: PCefWindowDelegate; window: PCefWindow; is_completed: integer); stdcall;`
This item has no description.

| `get_parent_window: function(self: PCefWindowDelegate; window: PCefWindow; is_menu, can_activate_menu: PInteger): PCefWindow; stdcall;`
This item has no description.

| `is_window_modal_dialog: function(self: PCefWindowDelegate; window: PCefWindow): Integer; stdcall;`
This item has no description.

| `get_initial_bounds: function(self: PCefWindowDelegate; window: PCefWindow): TCefRect; stdcall;`
This item has no description.

| `get_initial_show_state: function(self: PCefWindowDelegate; window: PCefWindow): TCefShowState; stdcall;`
This item has no description.

| `is_frameless: function(self: PCefWindowDelegate; window: PCefWindow): Integer; stdcall;`
This item has no description.

| `with_standard_window_buttons: function(self: PCefWindowDelegate; window: PCefWindow): Integer; stdcall;`
This item has no description.

| `get_titlebar_height: function(self: PCefWindowDelegate; window: PCefWindow; titlebar_height: System.PSingle): Integer; stdcall;`
This item has no description.

| `accepts_first_mouse: function(self: PCefWindowDelegate; window: PCefWindow): TCefState; stdcall;`
This item has no description.

| `can_resize: function(self: PCefWindowDelegate; window: PCefWindow): Integer; stdcall;`
This item has no description.

| `can_maximize: function(self: PCefWindowDelegate; window: PCefWindow): Integer; stdcall;`
This item has no description.

| `can_minimize: function(self: PCefWindowDelegate; window: PCefWindow): Integer; stdcall;`
This item has no description.

| `can_close: function(self: PCefWindowDelegate; window: PCefWindow): Integer; stdcall;`
This item has no description.

| `on_accelerator: function(self: PCefWindowDelegate; window: PCefWindow; command_id: Integer): Integer; stdcall;`
This item has no description.

| `on_key_event: function(self: PCefWindowDelegate; window: PCefWindow; const event: PCefKeyEvent): Integer; stdcall;`
This item has no description.

| `on_theme_colors_changed: procedure(self: PCefWindowDelegate; window: PCefWindow; chrome_theme: Integer); stdcall;`
This item has no description.

| `get_window_runtime_style: function(self: PCefWindowDelegate): TCefRuntimeStyle; stdcall;`
This item has no description.

| `get_linux_window_properties: function(self: PCefWindowDelegate; window: PCefWindow; properties: PCefLinuxWindowProperties): Integer; stdcall;`
This item has no description.

Generated by PasDoc 0.16.0-snapshot.